## mutt 1.5.23

=== debian/changelog ===
mutt (1.5.23-3+deb8u3) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * Assure that CVE-2020-14093 and CVE-2020-14954 get applied
    to mutt bin:pkg _and_ mutt-patched bin:pkg.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Jun 2020 12:31:24 +0200

mutt (1.5.23-3+deb8u2) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * CVE-2020-14093: Prevent possible IMAP MITM via PREAUTH response.
    (Closes: #962897).
  * CVE-2020-14954: Fix STARTTLS response injection attack.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Jun 2020 11:54:54 +0200

mutt (1.5.23-3+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team. (Closes: 904051)
  * Fix arbitrary command execution by remote IMAP servers via backquote
    characters, related to the mailboxes command associated with a manual
    subscription or unsubscription (CVE-2018-14354)
  * Fix arbitrary command execution by remote IMAP servers via backquote
    characters, related to the mailboxes command associated with an automatic
    subscription (CVE-2018-14357)
  * Fix a stack-based buffer overflow caused by imap_quote_string() not
    leaving room for quote characters (CVE-2018-14352)
  * Fix an integer underflow in imap_quote_string() (CVE-2018-14353)
  * Fix mishandling of zero-length UID in pop.c (CVE-2018-14356)
  * Fix unsafe interaction between message-cache pathnames and certain
    characters in pop.c (CVE-2018-14362)
  * Fix mishandling of ".." directory traversal in IMAP mailbox name
    (CVE-2018-14355)
  * Fix a stack-based buffer overflow for an IMAP FETCH response with a long
    INTERNALDATE field (CVE-2018-14350)
  * Fix a stack-based buffer overflow for an IMAP FETCH response with a long
    RFC822.SIZE field (CVE-2018-14358)
  * Fix mishandling of an IMAP NO response without a message (CVE-2018-14349)
  * Fix mishandling of long IMAP status mailbox literal count size
    (CVE-2018-14351)
  * Fix a buffer overflow via base64 data (CVE-2018-14359)
  * Fix a stack-based buffer overflow because of incorrect sscanf usage
    (CVE-2018-14360)
  * Fix a defect where processing continues if memory allocation fails for
    NNTP messages (CVE-2018-14361)
  * Fix unsafe interaction between message-cache pathnames and certain
    characters in newsrc.c (CVE-2018-14363)

 -- Roberto C. Sanchez <roberto@debian.org>  Fri, 27 Jul 2018 22:20:50 -0400

mutt (1.5.23-3) unstable; urgency=medium

  * Fixed upstream/771125-CVE-2014-9116-jessie.patch thanks to Salvatore
    Bonaccorso; now it correctly fixes the CVE and does not affect other
    functionalities of mutt (Closes: 771674)

 -- Antonio Radici <antonio@dyne.org>  Thu, 04 Dec 2014 21:09:07 +0000

mutt (1.5.23-2) unstable; urgency=medium

  * Created upstream/771125-CVE-2014-9116-jessie.patch to address
    CVE-2014-9116; the patch prevent mutt_substrdup from being used in a way
    that can lead to a segfault.

 -- Antonio Radici <antonio@dyne.org>  Sat, 29 Nov 2014 18:13:56 +0000

mutt (1.5.23-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against GnuTLS v3. Closes: #668816

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Aug 2014 13:42:50 +0200

mutt (1.5.23-1) unstable; urgency=medium

  * Team upload.

  [ Matteo F. Vescovi ]
  * New upstream security bugfix release
    - debian/patches/: patchset refreshed against v1.5.23
    - debian/patches/: CVE-2014-0467.patch dropped (applied upstream)
  * debian/rules: --enable-exact-address parameter dropped again
    (Closes: #741525, #741527, #741551)

  [ Evgeni Golov ]
  * update nntp patch to the latest upstream version

 -- Evgeni Golov <evgeni@debian.org>  Sun, 16 Mar 2014 23:16:31 +0100

mutt (1.5.22-2) unstable; urgency=high

  * Team upload.

  [ Matteo F. Vescovi ]
  * debian/gbp.conf: config file added
  * debian/patches/: patchset re-worked using right gbp-pq option
  * debian/rules: --enable-exact-address parameter added.
    Thanks to Jari Aalto for the patch. (Closes: #698267)

  [ Evgeni Golov ]
  * SidebarDelim can be NULL and strlen(NULL) is a bad idea (Closes: #696145)
  * Use mbstowcs instead of strlen for the sidebar_delim (Closes: #663883)
  * Install mutt-patched docs (HTML, TXT, manpages) with a -patched suffix.
    Properly link the correct docs for the running mutt flavour using
    update-alternatives.
    (Closes: #740887)
  * update package description of mutt-patched (Closes: #700365)
  * fix drawing of no sidebar when starting in compose mode (Closes: #502627)
  * update sidebar-newonly patch so the keybindings work properly.
    Thanks to gregor herrmann <gregoa@debian.org> (Closes: #546627)
  * Fix buffer overrun caused by not updating a string length after
    address expansion. (Closes: #708731)
    Fixes: CVE-2014-0467
  * Update lintian overrides, as mutt-{org,patched} now have own mapages and
    the doc-base references get created in the postinst.

 -- Evgeni Golov <evgeni.golov@credativ.de>  Wed, 12 Mar 2014 13:16:21 +0100

mutt (1.5.22-1) unstable; urgency=low

  Many thanks to Matteo and Evgeni for preparing this release!

  [ Matteo F. Vescovi ]
  * Imported Upstream version 1.5.22 (Closes: #732859)
    - debian/patches/: patchset re-worked against v1.5.22 via gbp
      - __[tag]__ classification has been introduced with
        this release (gbp pq format)
      - all already-applied "upstream" patches were dropped
      - most of the patches required simple renaming
    - debian/rules: patch usage modified
      - mutt.org patch popping updated
      - patch path for README.patches updated
  * debian/control: Vcs-* fields updated
  * debian/: dh bump version 7 => 9
  * debian/source/format: 1.0 => 3.0 (quilt)
  * debian/control: S-V bump 3.9.2 => 3.9.5 (no changes needed)

  [ Evgeni Golov ]
  * Refresh sidebar related patches.
    Update the main sidebar patch from OpenBSD, who have ported the latest
    upstream version of the patch to mutt 1.5.22.

