=== debian/control ===
Source: mutt
Section: mail
Priority: standard
Maintainer: Antonio Radici <antonio@dyne.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: automake, debhelper (>= 9), autotools-dev,
 docbook-xml, docbook-xsl, w3m, gawk, gettext, libgnutls28-dev,
 libgpgme11-dev, libidn11-dev, libkrb5-dev, libncurses5-dev, libncursesw5-dev,
 libsasl2-dev, libtool, pkg-config, quilt, xsltproc, zlib1g-dev,
 libtokyocabinet-dev [!hurd-i386], libgdbm-dev [hurd-i386]
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-mutt/mutt.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mutt/mutt.git
Homepage: http://www.mutt.org/

Package: mutt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: default-mta | mail-transport-agent, locales, mime-support, libsasl2-modules
Suggests: urlview, aspell | ispell, gnupg, mixmaster, openssl, ca-certificates
Provides: mail-reader, imap-client
Conflicts: mutt-utf8
Replaces: mutt-utf8
Description: text-based mailreader supporting MIME, GPG, PGP and threading
 Mutt is a sophisticated text-based Mail User Agent. Some highlights:
 .
  * MIME support (including RFC1522 encoding/decoding of 8-bit message
    headers and UTF-8 support).
  * PGP/MIME support (RFC 2015).
  * Advanced IMAP client supporting SSL encryption and SASL authentication.
  * POP3 support.
  * ESMTP support.
  * Message threading (both strict and non-strict).
  * Keybindings are configurable, default keybindings are much like ELM;
    Mush and PINE-like ones are provided as examples.
  * Handles MMDF, MH and Maildir in addition to regular mbox format.
  * Messages may be (indefinitely) postponed.
  * Colour support.
  * Highly configurable through easy but powerful rc file.

Package: mutt-patched
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, mutt (= ${binary:Version})
Description: Mutt Mail User Agent with extra patches
 Mutt is a sophisticated text-based Mail User Agent.
 .
 This package adds the following patches:
  * sidebar: list mailboxes (with new mail) in a separate column on screen
  * nntp: NNTP support for mutt
  * multiple-fcc: handle FCC with multiple, comma separated entries

Package: mutt-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, mutt (= ${binary:Version})
Description: debugging symbols for mutt
 Mutt is a sophisticated text-based Mail User Agent.
 .
 This package contains the debugging symbols for mutt and mutt-patched; this
 is supposed to be used when there is a core file which should be analyzed
 using gdb.
