=== debian/watch ===
version=3
opts=pasv ftp://ftp.mutt.org/mutt/devel/mutt-(.*).tar.gz
