## mutt 1.5.24

=== debian/changelog ===
mutt (1.5.24-1ubuntu0.6) xenial-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2021-3181-1.patch: Fix memory leak parsing group addresses without a display name
      in rfc822.c.
    - debian/patches/CVE-2021-3181-2.patch: Don't allocate a group terminator unless we are in a group-list
      in rfc822.c.
    - debian/patches/CVE-2021-3181-3.patch: Add group terminator if it is left
      off in rfc822.c.
    - CVE-2021-3181

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 21 Jan 2021 13:14:31 -0300

mutt (1.5.24-1ubuntu0.5) xenial-security; urgency=medium

  * SECURITY UPDATE: Sensitive information exposed
    - debian/patches/CVE-2020-28896.patch: Ensure IMAP connection is closed
      after a connection error in imap/imap.c.
    - CVE-2020-28896

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 24 Nov 2020 10:51:05 -0300

mutt (1.5.24-1ubuntu0.4) xenial-security; urgency=medium

  * SECURITY UPDATE: Man-in-the-middle attack
    - debian/patches/CVE-2020-14954.patch: fix STARTTLS response injection
      attack clearing the CONNECTION input buffer in mutt_ssl_starttls() in
      mutt_socket.c, mutt_socket.h, mutt_ssl.c, mutt_ssl_gnutls.c.
    - CVE-2020-14954
  * Redoing patch CVE-2020-14154-1, that causes a possibly regression (LP: #1884588)

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 22 Jun 2020 17:26:12 -0300

mutt (1.5.24-1ubuntu0.3) xenial-security; urgency=medium

  * SECURITY UPDATE: Man-in-the-middle attack
    - debian/patches/CVE-2020-14093.patch: prevent
      possible IMAP MITM via PREAUTH response in imap/imap.c.
    - CVE-2020-14093
  * SECURITY UPDATE: Connection even if the user rejects an
    expired intermediate certificate
    - debian/patches/CVE-2020-14154-1.patch: fix GnuTLS tls_verify_peers()
      checking in mutt_ssl_gnutls.c.
    - debian/patches/CVE-2020-14154-2.patch: Abort GnuTLS certificate if a
      cert in the chain is rejected in mutt_ssl_gnutls.c.
    - debian/patches/CVE-2020-14154-3.patch: fix GnuTLS interactive prompt
      short-circuiting in mutt_ssl_gnutls.c.
    - CVE-2020-14154

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 18 Jun 2020 10:02:48 -0300

mutt (1.5.24-1ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: apply all fixes to both mutt and mutt-patched
    - debian/patches/series: re-order patch application (LP: #1794278)

 -- Steve Beattie <sbeattie@ubuntu.com>  Wed, 26 Sep 2018 12:43:56 -0700

mutt (1.5.24-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Mishandles a NO response without a msg
    - debian/patches/ubuntu/mutt-CVE-2018-14349.patch: fix in
      imap/command.c.
    - CVE-2018-14349
  * SECURITY UPDATE: Stack-based buffer overflow
    - debian/patches/ubuntu/mutt-CVE-2018-14350-CVE-2018-14358.patch:
      fix in imap/message.c.
    - CVE-2018-14350
    - CVE-2018-14358
  * SECURITY UPDATE: Mishandles a long IMAP status
    - debian/patches/ubuntu/mutt-CVE-2018-14351.patch: fix in
      imap/command.c.
    - CVE-2018-14351
  * SECURITY UPDATE: Integer underflow and stack-based buffer overflow
    - debian/patches/ubuntu/mutt-CVE-2018-14352-CVE-2018-14353.patch:
      fix in imap/util.c.
    - CVE-2018-14352
    - CVE-2018-14353
  * SECURITY UPDATE: Remote arbitrary code execution
    - debian/patches/ubuntu/mutt-CVE-2018-14354-CVE-2018-14357.patch:
      fix in imap/command.c, imap/imap.c, imap/imap_private.h, imap/util.c.
    - CVE-2018-14354
    - CVE-2018-14357
  * SECURITY UPDATE: Directory traversal
    - debian/patches/ubuntu/mutt-CVE-2018-14355.patch: fix in
      imap/util.c.
    - CVE-2018-14355
  * SECURITY UPDATE: Mishandles a zero-lenght UID
    - debian/patches/ubuntu/mutt-CVE-2018-14356.patch: fix in
      pop.c.
    - CVE-2018-14356
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/ubuntu/mutt-CVE-2018-14359.patch: fix in
      base64.c, imap/auth_cram.c, imap/auth_gss.c, protos.h.
    - CVE-2018-14359
  * SECURITY UPDATE: Unsafe character interactions
    - debian/patches/ubuntu/mutt-CVE-2018-14362.patch: fix in
      pop.c.
    - CVE-2018-14362

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 19 Jul 2018 10:31:16 -0300

mutt (1.5.24-1build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:26:36 +0000

mutt (1.5.24-1) unstable; urgency=medium

  * Team upload.

  [ Evgeni Golov ]
  * Fix implicit-function-declaration warnings during compile

  [ Matteo F. Vescovi ]
  * Imported Upstream version 1.5.24 (Closes: #763522)
  * debian/patches/: patchset re-worked against v1.5.24
    - features-old/patch-1.5.4.vk.pgp_verbose_mime.patch dropped
      (applied upstream)
    - features/xtitles.patch dropped (different approach by upstream)
    - upstream/542817-smimekeys-tmpdir.patch dropped (applied upstream)
    - upstream/547980-smime_keys-chaining.patch dropped (applied upstream)
    - upstream/624058-gnutls-deprecated.patch dropped (applied upstream)
  * debian/control: S-V bump 3.9.5 => 3.9.6 (no changes needed)
  * debian/: GnuPG signature verification added
  * debian/watch: path to release tarballs updated

 -- Christoph Berg <myon@debian.org>  Sun, 20 Sep 2015 17:58:34 +0200

mutt (1.5.23-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * upstream/624058-gnutls-deprecated.patch: Use gnutls_priority_set_direct()
    instead of gnutls_protocol_set_priority() together with
    gnutls_set_default_priority(). Cherrypick the relevant parts from upstream
    HG, without the compatibilty stuff for ancient (< 2.2.0) GnuTLS.
    Closes: #624058

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Aug 2015 13:54:03 +0200
