=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: mutt
 Section: mail
 Priority: standard
-Maintainer: Antonio Radici <antonio@dyne.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antonio Radici <antonio@dyne.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends: automake, debhelper (>= 9), autotools-dev,
  docbook-xml, docbook-xsl, w3m, gawk, gettext, libgnutls28-dev,
  libgpgme11-dev, libidn11-dev, libkrb5-dev, libncurses5-dev, libncursesw5-dev,
  libsasl2-dev, libtool, pkg-config, quilt, xsltproc, zlib1g-dev,
  libtokyocabinet-dev [!hurd-i386], libgdbm-dev [hurd-i386]
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-mutt/mutt.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mutt/mutt.git
 Homepage: http://www.mutt.org/
