## mutt 1.6.0

=== debian/changelog ===
mutt (1.6.0-1b2) staging; urgency=medium

  * No-change rebuild against libgnutls30.

 -- Matthias Klumpp <mak@debian.org>  Sun, 29 May 2016 19:45:22 +0200

mutt (1.6.0-1b1) staging; urgency=medium

  * No-change rebuild against libgnutls30.

 -- Tanglu AutoRebuilder <dak-rebuild@ftp-master.tanglu.org>  Tue, 24 May 2016 17:07:31 +0200

mutt (1.6.0-1) unstable; urgency=medium

  * New upstream release.
    + adds the -E option to modify the draft file (Closes: #695220, #434235)
    + does not crash while managing attachments (Closes: #677687)
    + allows setting the signing digest for S/MIME (Closes: #741147)
    + properly parses Outlook's S/MIME signatures (Closes: #701013)

  [ Antonio Radici ]
  * debian/control: moved the MTA from Recommends to Suggests (Closes: #670769)
  * debian/extra/mutt.desktop: set NoDisplay to false (Closes: #678596)

  [ Matteo F. Vescovi ]
  * debian/patches/: patchset updated
    - upstream/809802_timeout_hook.patch added (Closes: #809802)
    As stated by the upstream maintainer,
    the following patches can be safely dropped: (Closes: #816706)
    - misc/fix-configure-test-operator.patch
    - upstream/531430-imapuser.patch
    - upstream/543467-thread-segfault.patch
    - upstream/548577-gpgme-1.2.patch
    - upstream/553321-ansi-escape-segfault.patch
    - upstream/603288-split-fetches.patch
    - upstream/611410-no-implicit_autoview-for-text-html.patch
  * debian/rules: Glob expansions added to make mutt reproducible.
    Thanks to Daniel Shahaf for the patch (Closes: #818419)
  * debian/control: S-V bump 3.9.6 -> 3.9.8 (no changes needed)
  * debian/control: Vcs-* fields updated for https:// usage
  * debian/control: add myself to Uploaders
  * debian/mutt.menu: file dropped

  [ Evgeni Golov ]
  * update sidebar patch to the 20151111 version
  * update nntp patch to the 1.6.0 version
  * drop patches applied upstream
  * refresh patches against 1.6.0

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 26 Apr 2016 16:46:49 +0200
