=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: mutt
 Section: mail
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Antonio Radici <antonio@dyne.org>
-Uploaders: Christoph Berg <myon@debian.org>
+Maintainer: Antonio Radici <antonio@dyne.org>
+Uploaders: Christoph Berg <myon@debian.org>, Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: automake, debhelper (>= 9), autotools-dev,
  docbook-xml, docbook-xsl, w3m, gawk, gettext, libgnutls28-dev,
  libgpgme11-dev, libidn11-dev, libkrb5-dev, libncurses5-dev, libncursesw5-dev,
  libsasl2-dev, libtool, pkg-config, quilt, xsltproc, zlib1g-dev,
  libtokyocabinet-dev [!hurd-i386], libgdbm-dev [hurd-i386]
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-mutt/mutt.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mutt/mutt.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-mutt/mutt.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mutt/mutt.git
 Homepage: http://www.mutt.org/
 
 Package: mutt
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: default-mta | mail-transport-agent, locales, mime-support, libsasl2-modules
-Suggests: urlview, aspell | ispell, gnupg, mixmaster, openssl, ca-certificates
+Recommends: locales, mime-support, libsasl2-modules
+Suggests: default-mta | mail-transport-agent, urlview, aspell | ispell, gnupg, mixmaster, openssl, ca-certificates
 Provides: mail-reader, imap-client
 Conflicts: mutt-utf8
 Replaces: mutt-utf8
