=== debian/rules ===
--- 
+++ 
@@ -144,8 +144,10 @@
 	
 	chmod +x debian/extra/lib/*
 	chmod +x debian/header.awk
-	debian/header.awk debian/patches/features/* \
-		debian/patches/mutt-patched/* > debian/tmp/README.Patches
+	# Glob expansions are sorted in a locale-sensitive manner;
+	# set the locale to make the order reproducible.
+	(LC_ALL=C; export LC_ALL; debian/header.awk debian/patches/features/* \
+		debian/patches/mutt-patched/*) > debian/tmp/README.Patches
 	
 	( sed -e '/## More settings/,$$d' $(objdir)/doc/Muttrc || exit 1 ; \
 	  cat debian/extra/rc/Muttrc.foot ) > debian/tmp/Muttrc
