## mutt 1.6.2

=== debian/changelog ===
mutt (1.6.2-3) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Pass --disable-fmemopen to ./configure. fmemopen has been the cause for
    some issues, such as reported crashes and incompatibility with torify.
    (Closes: #834408).

  [ Antonio Radici ]
  * New NeoMutt release, 2016-08-21.
    - Fixes data corruption in compressed folders. (Closes: #834818)
    - Reverts to the vanilla mutt keybindings. (Closes: #834448, #834500)
    - Hide the progress bar if it wasn't given a color. (Closes: #834450)
    - Drop neomutt-devel/*sidebar* patches, already included upstream.
    - Drop getrandom patch already included upstream.
    - Some patches, including sensible-browser, refreshed.
    - Slightly modified the AC_INIT in configure.ac so that the package builds.
  * debian/patches:
    + created neomutt-devel/restore-docfile-installation.patch to restore the
      installation of some docfiles dropped by neomutt.

 -- Antonio Radici <antonio@debian.org>  Tue, 23 Aug 2016 21:48:35 +0100

mutt (1.6.2-2) unstable; urgency=medium

  * New NeoMutt release, 2016-08-08.
    - Fixes crash when closing compressed mbox files. (Closes: #834024)
    - Drop patch features/809802_timeout_hook.patch, merged upstream.
    - Drop patch debian/patches/features/multiple-fcc.patch, merged upstream.
    - Drop patch imap-sidebar-update-bug.patch, was an upstream backport.
    - Refresh patch neomutt-devel/sensible-browser.patch.
  * Backport three sidebar fixes, courtesy of upstream vanilla mutt maintainer
    Kevin J. McCarthy.
  * Add a patch to avoid a warning message if getrandom() fails. This should
    help not scare off users that are running a jessie kernel, among others.
    Thanks to Adam Borowski for the fix. (Closes: #833593)

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 14 Aug 2016 18:40:11 +0300

mutt (1.6.2-1) unstable; urgency=medium

  * New upstream release.
  * New upstream NeoMutt release, 2016-07-23.
    - Adds SMIME encrypt to self patch. (Closes: #688970)
  * Backport a fix for the sidebar from neomutt git/mutt hg, patch
    imap-sidebar-update-bug.patch.
  * Update NEWS.Debian and (unfortunately) rewrite history in order to make it
    a little more consistent and easier to read for users upgrading from
    jessie. (Closes: #832761)
  * The sidebar patch has been stabilized with this release, with the option
    names also having been stable enough to be included into upstream mutt
    (what will become 1.7.0). All the known Debian bugs have been fixed and
    changes have been documented in NEWS. (Closes: #499596, #741853, #777127,
    #821748, #823142, #823454, #823654, #823655)
  * Remove the /etc/Muttrc.d/sidebar.rc conffile which enabled sidebar by
    default. Sidebar is now OFF by default, in order to stick with upstream's
    defaults and what most mutt users expect. Document this in NEWS.Debian.
  * Ship our patched Muttrc instead of the stock, non-generated Muttrc,
    a regression from 1.6.1-2. (Closes: #830692, #830695)
  * Remove the assumed_charset-compat.patch and inform users of the renamed
    option ("file_charset" -> "attach_charset") via NEWS.Debian.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 29 Jul 2016 16:43:06 +0300

mutt (1.6.1-2) experimental; urgency=medium

  * Fold mutt-patched into mutt, as the line between the wo has became more
    blurry since its introduction. Upstream mutt has merged the sidebar and
    the Debian mutt binary package already carries a lot of feature patches.
    - Remove the mutt-patched binary from debian/control.
    - Add Breaks/Replaces: mutt-patched on the mutt binary package.
    - Remove mutt-patched rules from debian/rules.
    - Move multiple-fcc (the only remaining patch) under features/.
  * Similarly, fold mutt-kz, a binary from a different source package until
    now, into mutt. mutt-kz upstream has joined forces with NeoMutt, so this
    is now a matter of just passing --enable-notmuch to our ./configure.
  * Remove update-alternatives support for /usr/bin/mutt and associated
    manpages and docs. This only existed for the benefit of mutt-patched and
    mutt-kz and is thus moot now.
  * Update neomutt to a newer version, 20160611.
    - Enable *all* the neomutt patches now, not just a hand-picked selection.
    - Use the single patch, as the broken out patches conflict with each
      other.
    - Drop the compressed-folders, NNTP and path_max patches, as they are now
      part of neomutt.
    - Update sensible-browser and multiple-fcc patches to adjusted versions
      from the neomutt-upstream.
    - Adjust the package's description to mention some of neomutt's features.
  * Enable all hardening build flags. (Closes: #823295)
  * Remove README.Patches from /usr/share/doc. Including a unified diff in
    /usr/share/doc isn't very useful; the source package can always be used
    instead.
  * Remove mentions of gpg-2comp from gpg.rc and README.Debian and ship the
    resulting gpg.rc into /etc/Muttrc.d pristine, with the comments included.
  * Switch to tokyocabinet (from qdbm) in hurd-i386 as well, as it is nowadays
    available there too.
  * Lower Priority to optional (from standard), as this is currently the value
    in the archive, as overridden by ftp-masters.
  * Remove postinst code that handles migrations from pre-1.5.20-9 versions,
    as it's too old (even wheezy shipped with 1.5.21-6.2).
  * Remove preinst code that handles an obsolete conffile from pre-1.5.19-2
    versions, for the same reasons.
  * Remove Conflicts/Replaces mutt-utf8, it was last shipped with version
    1.5.5.1-20040105+1, released over 12 years ago.
  * Remove statically-linked-binary lintian override for mutt_dotlock, not the
    case anymore.
  * Remove quilt.mk and manual quilt invocations. Rely on the native 3.0
    (quilt) source package format instead for applying debian/patches.
  * Use dh_bugfiles instead of manual install invocations.
  * Migrate from our own -dbg package to the automatic -dbgsym package.

