=== debian/control ===
Source: mutt
Section: mail
Priority: optional
Maintainer: Mutt maintainers <pkg-mutt-maintainers@lists.alioth.debian.org>
Uploaders:
 Antonio Radici <antonio@dyne.org>,
 Christoph Berg <myon@debian.org>,
 Faidon Liambotis <paravoid@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf,
 docbook-xml,
 docbook-xsl,
 gawk,
 gettext,
 libgnutls28-dev,
 libgpgme11-dev,
 libidn11-dev,
 libkrb5-dev,
 libnotmuch-dev,
 libncurses5-dev,
 libncursesw5-dev,
 libsasl2-dev,
 libtokyocabinet-dev,
 pkg-config,
 w3m,
 xsltproc,
 zlib1g-dev
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-mutt/mutt.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mutt/mutt.git
Homepage: http://www.mutt.org/

Package: mutt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: locales, mime-support, libsasl2-modules
Suggests: default-mta | mail-transport-agent, urlview, aspell | ispell, gnupg, mixmaster, openssl, ca-certificates
Provides: mail-reader, imap-client
Breaks: mutt-patched, mutt-kz
Replaces: mutt-patched, mutt-kz
Description: text-based mailreader supporting MIME, GPG, PGP and threading
 Mutt is a sophisticated text-based Mail User Agent. Some highlights:
 .
  * MIME support (including RFC1522 encoding/decoding of 8-bit message
    headers and UTF-8 support).
  * PGP/MIME support (RFC 2015).
  * Advanced IMAP client supporting SSL encryption and SASL authentication.
  * POP3 support.
  * ESMTP support.
  * Message threading (both strict and non-strict).
  * Keybindings are configurable, default keybindings are much like ELM;
    Mush and PINE-like ones are provided as examples.
  * Handles MMDF, MH and Maildir in addition to regular mbox format.
  * Messages may be (indefinitely) postponed.
  * Colour support.
  * Highly configurable through easy but powerful rc file.
  .
  This package is built with the NeoMutt patchset, which includes a number of
  additional features compared to the stock Mutt. Among them are:
  * Support for compressed mailboxes.
  * Support for the NNTP (Usenet) protocol.
  * Support for the notmuch mail indexer.
  * An optional Sidebar.
  * Various UI, security and performance fixes.
