## mutt 1.7.2

=== debian/changelog ===
mutt (1.7.2-1+deb9u6) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Add patch to fix uudecode buffer overflow.
    (Fixes: CVE-2022-1328) (Closes: #1009734)

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 11 May 2022 02:06:54 +0530

mutt (1.7.2-1+deb9u5) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Add patch to fix memory leak parsing group addresses without
    a display name. (Fixes: CVE-2021-3181) (Closes: #980326)

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 20 Jan 2021 13:21:00 +0530

mutt (1.7.2-1+deb9u4) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * CVE-2020-28896: The connection was not properly closed
    if an IMAP server's initial server response was invalid.

 -- Adrian Bunk <bunk@debian.org>  Mon, 30 Nov 2020 20:43:13 +0200

mutt (1.7.2-1+deb9u3) stretch-security; urgency=high

  * debian/patches:
    + added security/CVE-not-yet-released.patch to fix a possible MITM
      response injection attack when using STARTTLS with IMAP, POP3 and SMTP.

 -- Antonio Radici <antonio@debian.org>  Fri, 19 Jun 2020 06:55:35 +0200

mutt (1.7.2-1+deb9u2) stretch-security; urgency=high

  * debian/patches:
    + added security/CVE-2020-14093.patch to fix the relevant CVE related to
      IMAP MITM attack via a PREAUTH response

 -- Antonio Radici <antonio@debian.org>  Thu, 18 Jun 2020 17:02:16 +0200

mutt (1.7.2-1+deb9u1) stretch-security; urgency=high

  * Initial changelog entries for security update (Closes: 904051)
  * Patches provided by Roberto C. Sánchez <roberto@debian.org>
    + Fix arbitrary command execution by remote IMAP servers via backquote
      characters, related to the mailboxes command associated with a manual
      subscription or unsubscription (CVE-2018-14354)
    + Fix arbitrary command execution by remote IMAP servers via backquote
      characters, related to the mailboxes command associated with an automatic
      subscription (CVE-2018-14357)
    + Fix a stack-based buffer overflow caused by imap_quote_string() not
      leaving room for quote characters (CVE-2018-14352)
    + Fix an integer underflow in imap_quote_string() (CVE-2018-14353)
    + Fix mishandling of zero-length UID in pop.c (CVE-2018-14356)
    + Fix unsafe interaction between message-cache pathnames and certain
      characters in pop.c (CVE-2018-14362)
    + Fix mishandling of ".." directory traversal in IMAP mailbox name
      (CVE-2018-14355)
    + Fix a stack-based buffer overflow for an IMAP FETCH response with a long
      INTERNALDATE field (CVE-2018-14350)
    + Fix a stack-based buffer overflow for an IMAP FETCH response with a long
      RFC822.SIZE field (CVE-2018-14358)
    + Fix mishandling of an IMAP NO response without a message (CVE-2018-14349)
    + Fix mishandling of long IMAP status mailbox literal count size
      (CVE-2018-14351)
    + Fix a buffer overflow via base64 data (CVE-2018-14359)
    + Fix a stack-based buffer overflow because of incorrect sscanf usage
      (CVE-2018-14360)
    + Fix a defect where processing continues if memory allocation fails for
      NNTP messages (CVE-2018-14361)
    * Fix unsafe interaction between message-cache pathnames and certain
      characters in newsrc.c (CVE-2018-14363)

 -- Antonio Radici <antonio@debian.org>  Tue, 07 Aug 2018 09:48:44 +0100

mutt (1.7.2-1) unstable; urgency=medium

  * New upstream Mutt release.
  * New upstream NeoMutt release, 2017-01-13.
  * debian/patches:
    + all patches refreshed.
    + upstream/gpgme-set-sender.patch removed because it is already upstream.

 -- Antonio Radici <antonio@debian.org>  Fri, 20 Jan 2017 21:47:49 +0000

mutt (1.7.1-5) unstable; urgency=medium

  * debian/patches:
    + add upstream/gpgme-set-sender.patch otherwise the package
      does not build due to conflicting declarations.

 -- Antonio Radici <antonio@debian.org>  Thu, 01 Dec 2016 20:41:44 +0000

mutt (1.7.1-4) unstable; urgency=medium

  * New upstream NeoMutt release, 2016-11-26.
    + All patches refreshed.
    + upstream/549204-clear-N-on-readonly-imap-folders.patch pulled from the
      repo because it could cause bad interactions with the pager (I will
      revisit the decision in the next release).
  * debian/rules:
    + explicitely added --with-tokyocabinet otherwise the package does not
      build.

 -- Antonio Radici <antonio@debian.org>  Thu, 01 Dec 2016 08:28:54 +0000

mutt (1.7.1-3) unstable; urgency=medium

  * Team upload.

  [ Antonio Radici ]
  * debian-specific/828751-pinentry-gpg2-support.patch: moved
    --pinentry-loopback within the conditional that checks the existance of
    PGPPASSFD.

  [ Evgeni Golov ]
  * update neomutt patch to 20161104
  * do not apply 835421-pop-digest-md5.patch, it's part of neomutt 20161104
  * refresh gpg.rc-paths.patch after 828751-pinentry-gpg2-support.patch

  [ Christoph Berg ]
  * Remove myself from Uploaders. Thanks for the fish!

 -- Evgeni Golov <evgeni@debian.org>  Mon, 07 Nov 2016 19:17:50 +0100

mutt (1.7.1-2) unstable; urgency=medium

  * Dropped neomutt-devel/837601-do-not-segfault-on-new-mails.patch which
    caused an extra empty line to be added to the pager.

 -- Antonio Radici <antonio@debian.org>  Sun, 16 Oct 2016 20:17:38 +0100

mutt (1.7.1-1) unstable; urgency=medium

  * New upstream Mutt release.
    + Dropped two patches already applied upstream:
      - upstream/827189-opportunistic-encryption-crash.patch
      - upstream/837372-do-not-color-gpgme-output.patch
  * New upstream NeoMutt release, 2016-10-14
    + Refreshed all the patches to apply cleanly.
    + dropped neomutt-devel/drop-neomutt-syntax.patch

 -- Antonio Radici <antonio@debian.org>  Sat, 15 Oct 2016 10:35:20 +0100

mutt (1.7.0-6) unstable; urgency=medium

  * New upstream NeoMutt release, 2016-09-16
    + Refreshed some patches to apply cleanly.
  * Dropped the following patches as a result of the above release:
    + neomutt-devel/fix-array-bounds-error.patch

