=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,13 @@
 include /usr/share/dpkg/buildflags.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+no_notmuch_architectures := alpha hppa hurd-i386 powerpcspe ppc64 sh4 sparc64
+ifneq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), $(no_notmuch_architectures)))
+	notmuch = --enable-notmuch
+else
+	notmuch = --disable-notmuch
+endif
 
 %:
 	dh $@ --with autoreconf --builddirectory=debian/build
@@ -21,7 +28,7 @@
 		--enable-pop			\
 		--enable-sidebar		\
 		--enable-nntp			\
-		--enable-notmuch		\
+		$(notmuch)			\
 		--disable-fmemopen		\
 						\
 		--with-curses			\
@@ -33,7 +40,8 @@
 						\
 		--without-gdbm 			\
 		--without-bdb			\
-		--without-qdbm
+		--without-qdbm \
+	    --with-tokyocabinet
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
