## mutt 1.8.0

=== debian/changelog ===
mutt (1.8.0-1mx150+1) mx; urgency=medium

  * Rebuild for MX 15/16.

 -- Mike Elstad (v3g4n) <v3g4n@mxlinux.org>  Sun, 19 Mar 2017 18:58:19 -0500

mutt (1.8.0-1) unstable; urgency=medium

  * New upstream Mutt relaese.
  * New upstream NeoMutt release, 2017-03-06 (Closes: 857687)
  * debian/patches:
    + neomutt-devel/832971-reset-xlabel.patch removed, already upstream.
    + upstream/383769-score-match.patch: changed slightly to be applied.
    + all other patches refreshed.

 -- Antonio Radici <antonio@debian.org>  Tue, 14 Mar 2017 21:30:19 +0000
