=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: mutt
 Section: mail
 Priority: optional
-Maintainer: Mutt maintainers <pkg-mutt-maintainers@lists.alioth.debian.org>
+Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org> 
+XSBC-Original-Maintainer: Mutt maintainers <pkg-mutt-maintainers@lists.alioth.debian.org>
 Uploaders:
- Antonio Radici <antonio@dyne.org>,
- Christoph Berg <myon@debian.org>,
+ Antonio Radici <antonio@debian.org>,
  Faidon Liambotis <paravoid@debian.org>
+Bugs: mailto: <v3g4n@mxlinux.org> 
 Build-Depends: debhelper (>= 9), dh-autoreconf,
  docbook-xml,
  docbook-xsl,
@@ -15,7 +16,7 @@
  libgpgme11-dev,
  libidn11-dev,
  libkrb5-dev,
- libnotmuch-dev,
+ libnotmuch-dev [!alpha !hppa !hurd-i386 !powerpcspe !ppc64 !sh4 !sparc64],
  libncurses5-dev,
  libncursesw5-dev,
  libsasl2-dev,
