## mutt 1.8.3+neomutt20170609

=== debian/changelog ===
mutt (1.8.3+neomutt20170609-2build1) artful; urgency=medium

  * Rebuild against new libnotmuch5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jul 2017 13:11:26 +0200

mutt (1.8.3+neomutt20170609-2) unstable; urgency=medium

  * debian/patches:
    + upstream/644992-ipv6-literal.patch removed, already upstream.
    + upstream/771125-CVE-2014-9116-jessie.patch removed, already upstream.
    + upstream/865822-restore-defaults.patch created to set the default values
      of variables after they have been set in the init function
      (Closes: 865842, 865822).

 -- Antonio Radici <antonio@debian.org>  Sun, 25 Jun 2017 10:00:09 +0100

mutt (1.8.3+neomutt20170609-1) unstable; urgency=medium

  * Switching upstream code to NeoMutt.
    + due to code formatting changes the neomutt patch would have been bigger
      than the mutt code.
  * New upstream NeoMutt release, 2017-06-09 (1.8.3) (Closes: 857687, 864024)
  * debian/patches:
    + neomutt patch removed.
    + debian-specific/Md.etc_mailname_gethostbyname.patch slightly rewritten.
    + debian-specific/467432-write_bcc.patch refreshed.
    + upstream/228671-pipe-mime.patch removed, already upstream
      (Closes: 860176).
    + upstream/611410-no-implicit_autoview-for-text-html.patch removed,
      already upstream.
    + upstream/644992-ipv6-literal.patch partially superseded by libidn.
    + upstream/fix_doc_builddir.patch created, to source html files from the
      builddir.
    + upstream/fix_spelling_error.patch created.
    + general patch refresh where applicable.
  * debian/control:
    + Standards-Version updated to 4.0.0, no changes required.
  * debian/rules:
    + removed NEWS, does not exist anymore.
    + build mutt_dotlock with --enable-dotlock.
    + enabled lua scripting with --enable-lua.
  * debian/mutt.docs: removed some docs that do not exist anymore.
  * debian/mutt.lintian-overrides: masked testsuite warning, not available.

 -- Antonio Radici <antonio@debian.org>  Sat, 24 Jun 2017 09:32:46 +0100
