=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: mutt
 Section: mail
 Priority: optional
-Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org> 
-XSBC-Original-Maintainer: Mutt maintainers <pkg-mutt-maintainers@lists.alioth.debian.org>
+Maintainer: Mutt maintainers <pkg-mutt-maintainers@lists.alioth.debian.org>
 Uploaders:
  Antonio Radici <antonio@debian.org>,
  Faidon Liambotis <paravoid@debian.org>
-Bugs: mailto: <v3g4n@mxlinux.org> 
-Build-Depends: debhelper (>= 9), dh-autoreconf,
+Build-Depends: debhelper (>= 9), dh-autoreconf, dh-lua,
  docbook-xml,
  docbook-xsl,
  gawk,
@@ -25,7 +23,7 @@
  w3m,
  xsltproc,
  zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-mutt/mutt.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mutt/mutt.git
 Homepage: http://www.mutt.org/
