=== debian/rules ===
--- 
+++ 
@@ -23,11 +23,13 @@
 		--enable-fcntl			\
 		--enable-hcache			\
 		--enable-gpgme			\
+		--enable-lua            \
 		--enable-imap			\
 		--enable-smtp			\
 		--enable-pop			\
 		--enable-sidebar		\
 		--enable-nntp			\
+		--enable-dotlock \
 		$(notmuch)			\
 		--disable-fmemopen		\
 						\
@@ -49,7 +51,6 @@
 override_dh_install:
 	cd debian/tmp/usr/share/doc/mutt && \
 	rm -rf samples/iconv samples/ca-bundle.crt && \
-	mv NEWS NEWS.old && \
 	cp $(CURDIR)/UPDATING NEWS
 	
 	chmod +x debian/extra/lib/*
